summaryrefslogtreecommitdiff
path: root/net-misc/x2goclient
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2014-11-16 19:53:17 +0300
committerGluzskiy Alexandr <sss123next@list.ru>2014-11-16 19:53:17 +0300
commit7971aea8a3e0dcc795db6573b605a0ee100a9058 (patch)
tree581b10b6470b46dca44c0f08b4497ca5c4f126bd /net-misc/x2goclient
parent59369850a81de1e130cd9dfdec8e2233cc377286 (diff)
x2goclient scm
Diffstat (limited to 'net-misc/x2goclient')
-rw-r--r--net-misc/x2goclient/x2goclient-scm.ebuild80
1 files changed, 80 insertions, 0 deletions
diff --git a/net-misc/x2goclient/x2goclient-scm.ebuild b/net-misc/x2goclient/x2goclient-scm.ebuild
new file mode 100644
index 0000000..887ff06
--- /dev/null
+++ b/net-misc/x2goclient/x2goclient-scm.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/x2goclient/x2goclient-4.0.3.0.ebuild,v 1.1 2014/10/22 09:33:26 voyageur Exp $
+
+EAPI=5
+inherit eutils nsplugins qt4-r2 git-2
+
+DESCRIPTION="The X2Go Qt client"
+HOMEPAGE="http://www.x2go.org"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ldap nsplugin"
+
+EGIT_REPO_URI="git://code.x2go.org/x2goclient.git"
+
+DEPEND=">=net-libs/libssh-0.6.0_rc1
+ net-print/cups
+ dev-qt/qtcore:4[ssl]
+ dev-qt/qtgui:4
+ dev-qt/qtsvg:4
+ ldap? ( net-nds/openldap )"
+RDEPEND="${DEPEND}
+ net-misc/nx"
+
+CLIENT_BUILD=${WORKDIR}/${P}.client_build
+PLUGIN_BUILD=${WORKDIR}/${P}.plugin_build
+
+src_prepare() {
+ if ! use ldap; then
+ sed -e "s/-lldap//" -i x2goclient.pro || die
+ sed -e "s/#define USELDAP//" -i x2goclientconfig.h || die
+ fi
+
+ mkdir -p "${CLIENT_BUILD}"
+ use nsplugin && mkdir -p "${PLUGIN_BUILD}"
+}
+
+src_configure() {
+ cd "${CLIENT_BUILD}"
+ eqmake4 "${S}"/x2goclient.pro
+
+ if use nsplugin;
+ then
+ cd "${PLUGIN_BUILD}"
+ X2GO_CLIENT_TARGET=plugin eqmake4 "${S}"/x2goclient.pro
+ fi
+}
+
+src_compile() {
+ cd "${CLIENT_BUILD}"
+ qt4-r2_src_compile
+
+ if use nsplugin;
+ then
+ cd "${PLUGIN_BUILD}"
+ qt4-r2_src_compile
+ fi
+}
+
+src_install() {
+ dobin "${CLIENT_BUILD}"/${PN}
+
+ insinto /usr/share/pixmaps/x2goclient
+ doins -r icons/*
+
+ domenu desktop/${PN}.desktop
+ doman man/man?/*
+
+ if use nsplugin;
+ then
+ # PLUGINS_DIR comes from nsplugins.eclass
+ exeinto /usr/$(get_libdir)/${PLUGINS_DIR}
+ doexe "${PLUGIN_BUILD}"/libx2goplugin.so
+ fi
+
+ emake DESTDIR="${D}" PREFIX=/usr install_pluginprovider
+}